AI Driving Olympics Home Challenges Submissions Jobs

Submission 3625

Submission3625
Competingyes
Challengeaido2-LF-real-validation
Userenicky
Date submitted
Completecomplete
Resultsuccess
Jobseval0: 23400 eval0-videos-autobots: 23470 eval0-videos-watchtowers: 23478 eval1: 23587 eval1-videos-autobots: 23634 eval1-videos-watchtowers: 23699
Next
User label-
Admin priority40
User priority40

23699

23478

23470

Evaluation jobs for this submission

Job IDsubmissionuseruser labelchallengestepstatusup to dateevaluatordate starteddate completeddurationmessage
236993625enickyaido2-LF-real-validationeval1-videos-watchtowerssuccessyes-0:04:53(hidden)
236343625enickyaido2-LF-real-validationeval1-videos-autobotssuccessyes-0:14:17(hidden)
235873625enickyaido2-LF-real-validationeval1successyes-1:21:47(hidden)
driven_lanedir_consec_median0
survival_time_median60


other stats
01_start
details{"1_01attemptDate": {"name": "1_01attemptDate", "output": "2019-05-20", "readable_string": "Attempt date"}, "1_03autolabName": {"name": "1_03autolabName", "output": "ETHZ", "readable_string": "Autolab"}, "1_04operatorName": {"name": "1_04operatorName", "output": "Gian", "readable_string": "Operator's name"}}
02_autolab_setup
details{"2_04ledLightsOn": {"name": "2_04ledLightsOn", "output": true, "readable_string": "Ceiling led lightbulbs are on with a bright white color"}, "2_01mapConformity": {"name": "2_01mapConformity", "output": true, "readable_string": "Conformity of the map"}, "2_05curtainsClosed": {"name": "2_05curtainsClosed", "output": true, "readable_string": "The curtains are closed"}, "2_02pairedHostnames": {"name": "2_02pairedHostnames", "output": true, "readable_string": "Pairing hostnames to duckiebot-IDs"}, "2_03ceilingLightsOff": {"name": "2_03ceilingLightsOff", "output": true, "readable_string": "Ceiling default neon lights are off"}, "2_multi01_duckiebot_select_autobot01": {"name": "2_multi01_duckiebot_select_autobot01", "output": "not_used", "readable_string": "Selection among available duckiebot"}, "2_multi01_duckiebot_select_autobot02": {"name": "2_multi01_duckiebot_select_autobot02", "output": "not_used", "readable_string": "Selection among available duckiebot"}, "2_multi01_duckiebot_select_autobot03": {"name": "2_multi01_duckiebot_select_autobot03", "output": "not_used", "readable_string": "Selection among available duckiebot"}, "2_multi01_duckiebot_select_autobot04": {"name": "2_multi01_duckiebot_select_autobot04", "output": "not_used", "readable_string": "Selection among available duckiebot"}, "2_multi01_duckiebot_select_autobot05": {"name": "2_multi01_duckiebot_select_autobot05", "output": "not_used", "readable_string": "Selection among available duckiebot"}, "2_multi01_duckiebot_select_autobot06": {"name": "2_multi01_duckiebot_select_autobot06", "output": "not_used", "readable_string": "Selection among available duckiebot"}, "2_multi01_duckiebot_select_autobot07": {"name": "2_multi01_duckiebot_select_autobot07", "output": "active", "readable_string": "Selection among available duckiebot"}, "2_multi01_duckiebot_select_autobot08": {"name": "2_multi01_duckiebot_select_autobot08", "output": "not_used", "readable_string": "Selection among available duckiebot"}}
03_setup_validation
details{"3_11freeMemory": {"name": "3_11freeMemory", "output": true, "readable_string": "All agents have enough free memory"}, "3_01robotsAreOn": {"name": "3_01robotsAreOn", "output": true, "readable_string": "All duckiebots are on"}, "3_09agentsPinged": {"name": "3_09agentsPinged", "output": true, "readable_string": "All agents have been pinged"}, "3_03duckiesOnBots": {"name": "3_03duckiesOnBots", "output": true, "readable_string": "All autobots received yeelow or black duckies (according to active of passive)"}, "3_08attemptNumber": {"name": "3_08attemptNumber", "output": "2", "readable_string": "Attempt number"}, "3_04batteryChecked": {"name": "3_04batteryChecked", "output": true, "readable_string": "All duckiebots have enough battery"}, "3_06agentPlacement": {"name": "3_06agentPlacement", "output": true, "readable_string": "Placement of the duckiebots"}, "3_02aprilTagsPlates": {"name": "3_02aprilTagsPlates", "output": true, "readable_string": "All duckiebots have their april tag backplate, in the right orientation"}, "3_05agentsPluggedIn": {"name": "3_05agentsPluggedIn", "output": true, "readable_string": "All non-movable agents (watchtowers and trafficlights) are plugged in (alimentation and ethernet)"}, "3_10readWriteMemory": {"name": "3_10readWriteMemory", "output": true, "readable_string": "All agents have been tested for read and write on their logging device (USB stick)"}, "3_07lightCheckedReport": {"name": "3_07lightCheckedReport", "output": true, "readable_string": "Report on light conditions"}, "3_hidden_autolab_helper_command": {"name": "3_hidden_autolab_helper_command", "output": "python3 autolab_helper_script.py 3625 aido2-LF-real-validation autobot07 ", "readable_string": "The autolab helper script launch command"}}
04_initialization
details{"4_01duckiebotInterfaceStarted": {"name": "4_01duckiebotInterfaceStarted", "output": true, "readable_string": "All duckiebots have stared their duckiebot interface container"}, "4_02submissionContainerLoaded": {"name": "4_02submissionContainerLoaded", "output": true, "readable_string": "All active duckiebots have loaded the submission container"}, "4_04agentsStartedLoggerContainers": {"name": "4_04agentsStartedLoggerContainers", "output": true, "readable_string": "All agents have loaded and started the logger container"}, "4_03passiveDuckiebotsContainerLoaded": {"name": "4_03passiveDuckiebotsContainerLoaded", "output": false, "readable_string": "All passive duckiebots have loaded the passive behavior container"}}
05_confirmation
details{"5_01operatorIsReady": {"name": "5_01operatorIsReady", "output": true, "readable_string": "The operator is ready to start"}, "5_02serverInitializationError": {"name": "5_02serverInitializationError", "output": "", "readable_string": "The server initialization error message"}}
06_execution
details{"6_06visualCheck": {"name": "6_06visualCheck", "output": "", "readable_string": "Comment from operator on visual check of launching"}, "6_03beginTimeStamp": {"name": "6_03beginTimeStamp", "output": "1558382410.614918", "readable_string": "Beginning timestamp (useful for attempt evaluation)"}, "6_01launchedAttempt": {"name": "6_01launchedAttempt", "output": true, "readable_string": "The attempt was successfully launched"}, "6_02serverLaunchError": {"name": "6_02serverLaunchError", "output": "", "readable_string": "The server launch error message"}, "6_09watchtowerLoggings": {"name": "6_09watchtowerLoggings", "output": false, "readable_string": "Watchtowers started logging data"}, "6_10serverLoggingCheck": {"name": "6_10serverLoggingCheck", "output": "", "readable_string": "Logging error message from the server"}, "6_07activeDuckiebotLogging": {"name": "6_07activeDuckiebotLogging", "output": false, "readable_string": "Active duckiebots started logging data"}, "6_08passiveDuckiebotLogging": {"name": "6_08passiveDuckiebotLogging", "output": false, "readable_string": "Passive duckiebots started logging data"}, "6_04activeDuckiebotsAreRunningVisualCheck": {"name": "6_04activeDuckiebotsAreRunningVisualCheck", "output": true, "readable_string": "Active duckiebots started moving after launch"}, "6_05passiveDuckiebotsAreRunningVisualCheck": {"name": "6_05passiveDuckiebotsAreRunningVisualCheck", "output": false, "readable_string": "Passive duckiebots started moving after launch"}}
07_monitoring_and_termination
details{"7_05errorReason": {"name": "7_05errorReason", "output": "no_error", "readable_string": "Reason for error"}, "7_01endTimeStamp": {"name": "7_01endTimeStamp", "output": "1558382476.2211328", "readable_string": "end of the experiment timestamp"}, "7_03failureReason": {"name": "7_03failureReason", "output": "no_failure", "readable_string": "Reason for failure"}, "7_06errorComments": {"name": "7_06errorComments", "output": "", "readable_string": "Comment on error reason"}, "7_02attemptSuccess": {"name": "7_02attemptSuccess", "output": "success", "readable_string": "Outcome of the attempt"}, "7_04failureComments": {"name": "7_04failureComments", "output": "", "readable_string": "Comment on failure reason"}, "7_07outcomechecking": {"name": "7_07outcomechecking", "output": false, "readable_string": "Checked that the outcome matched the given reasons"}}
08_retrieving_and_checking_logs
details{"8_01bagsCopied": {"name": "8_01bagsCopied", "output": true, "readable_string": "All bags were successfully copied"}, "8_03bagsClipped": {"name": "8_03bagsClipped", "output": false, "readable_string": "All bags were clipped with the time stamps"}, "8_02bagsVerified": {"name": "8_02bagsVerified", "output": true, "readable_string": "The contents of all bags was verified"}, "8_04agentsCleaned": {"name": "8_04agentsCleaned", "output": true, "readable_string": "All agents were cleaned from bags"}}
09_evaluation
details{"9_02timeTravelled": {"name": "9_02timeTravelled", "output": "60", "readable_string": "How many seconds did the Duckiebot successfully travel"}, "9_01tilesTravelled": {"name": "9_01tilesTravelled", "output": "0", "readable_string": "How many tiles did the Duckiebot successfully travel"}}
10_saving_data
details{"10_02dataIpfsHash": {"name": "10_02dataIpfsHash", "output": "QmbYpDV7CAcpMfbW4fF1zUP1sAgdwfy2jbYUjn8g2bSkZP", "readable_string": "IPFS hash of the experiment"}, "10_04cleanupCheck": {"name": "10_04cleanupCheck", "output": false, "readable_string": "The IPFS Docker terminal and the local storage were cleaned"}, "10_05autolabCleaned": {"name": "10_05autolabCleaned", "output": true, "readable_string": "Autolab was cleaned after the end of the experiment"}, "10_01dataUploadCheck": {"name": "10_01dataUploadCheck", "output": false, "readable_string": "The data was uploaded to the IDSC NAS"}, "10_03dataPinningCheck": {"name": "10_03dataPinningCheck", "output": false, "readable_string": "The data is accessible through IPFS"}}
234783625enickyaido2-LF-real-validationeval0-videos-watchtowerssuccessyes-1:22:58(hidden)
234733625enickyaido2-LF-real-validationeval0-videos-watchtowershost-erroryes-0:01:56
Uncaught exception: [...]
Uncaught exception:
Traceback (most recent call last):
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/urllib3/connectionpool.py", line 600, in urlopen
    chunked=chunked)
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/urllib3/connectionpool.py", line 354, in _make_request
    conn.request(method, url, **httplib_request_kw)
  File "/usr/local/Cellar/python/3.7.2_2/Frameworks/Python.framework/Versions/3.7/lib/python3.7/http/client.py", line 1229, in request
    self._send_request(method, url, body, headers, encode_chunked)
  File "/usr/local/Cellar/python/3.7.2_2/Frameworks/Python.framework/Versions/3.7/lib/python3.7/http/client.py", line 1275, in _send_request
    self.endheaders(body, encode_chunked=encode_chunked)
  File "/usr/local/Cellar/python/3.7.2_2/Frameworks/Python.framework/Versions/3.7/lib/python3.7/http/client.py", line 1224, in endheaders
    self._send_output(message_body, encode_chunked=encode_chunked)
  File "/usr/local/Cellar/python/3.7.2_2/Frameworks/Python.framework/Versions/3.7/lib/python3.7/http/client.py", line 1016, in _send_output
    self.send(msg)
  File "/usr/local/Cellar/python/3.7.2_2/Frameworks/Python.framework/Versions/3.7/lib/python3.7/http/client.py", line 956, in send
    self.connect()
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/docker/transport/unixconn.py", line 42, in connect
    sock.connect(self.unix_socket)
ConnectionRefusedError: [Errno 61] Connection refused

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/requests/adapters.py", line 449, in send
    timeout=timeout
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/urllib3/connectionpool.py", line 638, in urlopen
    _stacktrace=sys.exc_info()[2])
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/urllib3/util/retry.py", line 367, in increment
    raise six.reraise(type(error), error, _stacktrace)
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/urllib3/packages/six.py", line 685, in reraise
    raise value.with_traceback(tb)
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/urllib3/connectionpool.py", line 600, in urlopen
    chunked=chunked)
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/urllib3/connectionpool.py", line 354, in _make_request
    conn.request(method, url, **httplib_request_kw)
  File "/usr/local/Cellar/python/3.7.2_2/Frameworks/Python.framework/Versions/3.7/lib/python3.7/http/client.py", line 1229, in request
    self._send_request(method, url, body, headers, encode_chunked)
  File "/usr/local/Cellar/python/3.7.2_2/Frameworks/Python.framework/Versions/3.7/lib/python3.7/http/client.py", line 1275, in _send_request
    self.endheaders(body, encode_chunked=encode_chunked)
  File "/usr/local/Cellar/python/3.7.2_2/Frameworks/Python.framework/Versions/3.7/lib/python3.7/http/client.py", line 1224, in endheaders
    self._send_output(message_body, encode_chunked=encode_chunked)
  File "/usr/local/Cellar/python/3.7.2_2/Frameworks/Python.framework/Versions/3.7/lib/python3.7/http/client.py", line 1016, in _send_output
    self.send(msg)
  File "/usr/local/Cellar/python/3.7.2_2/Frameworks/Python.framework/Versions/3.7/lib/python3.7/http/client.py", line 956, in send
    self.connect()
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/docker/transport/unixconn.py", line 42, in connect
    sock.connect(self.unix_socket)
urllib3.exceptions.ProtocolError: ('Connection aborted.', ConnectionRefusedError(61, 'Connection refused'))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/data/work/vmware-michela-shared/DT/dt-env/dt-env-developer/src/duckietown-shell/lib/dt_shell/env_checks.py", line 60, in check_docker_environment
    containers = client.containers.list(filters=dict(status='running'))
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/docker/models/containers.py", line 918, in list
    since=since)
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/docker/api/container.py", line 208, in containers
    res = self._result(self._get(u, params=params), True)
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/docker/utils/decorators.py", line 46, in inner
    return f(self, *args, **kwargs)
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/docker/api/client.py", line 225, in _get
    return self.get(url, **self._set_request_timeout(kwargs))
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/requests/sessions.py", line 546, in get
    return self.request('GET', url, **kwargs)
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/requests/sessions.py", line 533, in request
    resp = self.send(prep, **send_kwargs)
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/requests/sessions.py", line 646, in send
    r = adapter.send(request, **kwargs)
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/requests/adapters.py", line 498, in send
    raise ConnectionError(err, request=request)
requests.exceptions.ConnectionError: ('Connection aborted.', ConnectionRefusedError(61, 'Connection refused'))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/data/work/vmware-michela-shared/DT/dt-env/dt-env-developer/src/duckietown-challenges-runner/src/duckietown_challenges_runner/runner.py", line 541, in get_cr
    allow_host_network=allow_host_network, use_ipfs=use_ipfs)
  File "/data/work/vmware-michela-shared/DT/dt-env/dt-env-developer/src/duckietown-challenges-runner/src/duckietown_challenges_runner/runner.py", line 660, in run_single
    timeout_sec=timeout_sec)
  File "/data/work/vmware-michela-shared/DT/dt-env/dt-env-developer/src/duckietown-challenges-runner/src/duckietown_challenges_runner/runner.py", line 735, in run_one
    client = check_docker_environment()
  File "/data/work/vmware-michela-shared/DT/dt-env/dt-env-developer/src/duckietown-shell/lib/dt_shell/env_checks.py", line 67, in check_docker_environment
    raise InvalidEnvironment(msg)
dt_shell.exceptions.InvalidEnvironment: I cannot communicate with Docker:
('Connection aborted.', ConnectionRefusedError(61, 'Connection refused'))

Make sure the docker service is running.
(hidden)
234703625enickyaido2-LF-real-validationeval0-videos-autobotssuccessyes-0:03:13(hidden)
234333625enickyaido2-LF-real-validationeval0-videos-autobotshost-erroryes-0:00:38
Uncaught exception: [...]
Uncaught exception:
Traceback (most recent call last):
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/urllib3/connectionpool.py", line 600, in urlopen
    chunked=chunked)
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/urllib3/connectionpool.py", line 354, in _make_request
    conn.request(method, url, **httplib_request_kw)
  File "/usr/local/Cellar/python/3.7.2_2/Frameworks/Python.framework/Versions/3.7/lib/python3.7/http/client.py", line 1229, in request
    self._send_request(method, url, body, headers, encode_chunked)
  File "/usr/local/Cellar/python/3.7.2_2/Frameworks/Python.framework/Versions/3.7/lib/python3.7/http/client.py", line 1275, in _send_request
    self.endheaders(body, encode_chunked=encode_chunked)
  File "/usr/local/Cellar/python/3.7.2_2/Frameworks/Python.framework/Versions/3.7/lib/python3.7/http/client.py", line 1224, in endheaders
    self._send_output(message_body, encode_chunked=encode_chunked)
  File "/usr/local/Cellar/python/3.7.2_2/Frameworks/Python.framework/Versions/3.7/lib/python3.7/http/client.py", line 1016, in _send_output
    self.send(msg)
  File "/usr/local/Cellar/python/3.7.2_2/Frameworks/Python.framework/Versions/3.7/lib/python3.7/http/client.py", line 956, in send
    self.connect()
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/docker/transport/unixconn.py", line 42, in connect
    sock.connect(self.unix_socket)
ConnectionRefusedError: [Errno 61] Connection refused

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/requests/adapters.py", line 449, in send
    timeout=timeout
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/urllib3/connectionpool.py", line 638, in urlopen
    _stacktrace=sys.exc_info()[2])
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/urllib3/util/retry.py", line 367, in increment
    raise six.reraise(type(error), error, _stacktrace)
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/urllib3/packages/six.py", line 685, in reraise
    raise value.with_traceback(tb)
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/urllib3/connectionpool.py", line 600, in urlopen
    chunked=chunked)
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/urllib3/connectionpool.py", line 354, in _make_request
    conn.request(method, url, **httplib_request_kw)
  File "/usr/local/Cellar/python/3.7.2_2/Frameworks/Python.framework/Versions/3.7/lib/python3.7/http/client.py", line 1229, in request
    self._send_request(method, url, body, headers, encode_chunked)
  File "/usr/local/Cellar/python/3.7.2_2/Frameworks/Python.framework/Versions/3.7/lib/python3.7/http/client.py", line 1275, in _send_request
    self.endheaders(body, encode_chunked=encode_chunked)
  File "/usr/local/Cellar/python/3.7.2_2/Frameworks/Python.framework/Versions/3.7/lib/python3.7/http/client.py", line 1224, in endheaders
    self._send_output(message_body, encode_chunked=encode_chunked)
  File "/usr/local/Cellar/python/3.7.2_2/Frameworks/Python.framework/Versions/3.7/lib/python3.7/http/client.py", line 1016, in _send_output
    self.send(msg)
  File "/usr/local/Cellar/python/3.7.2_2/Frameworks/Python.framework/Versions/3.7/lib/python3.7/http/client.py", line 956, in send
    self.connect()
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/docker/transport/unixconn.py", line 42, in connect
    sock.connect(self.unix_socket)
urllib3.exceptions.ProtocolError: ('Connection aborted.', ConnectionRefusedError(61, 'Connection refused'))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/data/work/vmware-michela-shared/DT/dt-env/dt-env-developer/src/duckietown-shell/lib/dt_shell/env_checks.py", line 60, in check_docker_environment
    containers = client.containers.list(filters=dict(status='running'))
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/docker/models/containers.py", line 918, in list
    since=since)
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/docker/api/container.py", line 208, in containers
    res = self._result(self._get(u, params=params), True)
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/docker/utils/decorators.py", line 46, in inner
    return f(self, *args, **kwargs)
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/docker/api/client.py", line 225, in _get
    return self.get(url, **self._set_request_timeout(kwargs))
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/requests/sessions.py", line 546, in get
    return self.request('GET', url, **kwargs)
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/requests/sessions.py", line 533, in request
    resp = self.send(prep, **send_kwargs)
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/requests/sessions.py", line 646, in send
    r = adapter.send(request, **kwargs)
  File "/Users/andrea/.local/share/virtualenvs/pipenv4-5FQVYY7K/lib/python3.7/site-packages/requests/adapters.py", line 498, in send
    raise ConnectionError(err, request=request)
requests.exceptions.ConnectionError: ('Connection aborted.', ConnectionRefusedError(61, 'Connection refused'))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/data/work/vmware-michela-shared/DT/dt-env/dt-env-developer/src/duckietown-challenges-runner/src/duckietown_challenges_runner/runner.py", line 541, in get_cr
    allow_host_network=allow_host_network, use_ipfs=use_ipfs)
  File "/data/work/vmware-michela-shared/DT/dt-env/dt-env-developer/src/duckietown-challenges-runner/src/duckietown_challenges_runner/runner.py", line 660, in run_single
    timeout_sec=timeout_sec)
  File "/data/work/vmware-michela-shared/DT/dt-env/dt-env-developer/src/duckietown-challenges-runner/src/duckietown_challenges_runner/runner.py", line 735, in run_one
    client = check_docker_environment()
  File "/data/work/vmware-michela-shared/DT/dt-env/dt-env-developer/src/duckietown-shell/lib/dt_shell/env_checks.py", line 67, in check_docker_environment
    raise InvalidEnvironment(msg)
dt_shell.exceptions.InvalidEnvironment: I cannot communicate with Docker:
('Connection aborted.', ConnectionRefusedError(61, 'Connection refused'))

Make sure the docker service is running.
(hidden)
234253625enickyaido2-LF-real-validationeval0-videos-autobotshost-erroryes-0:00:06
Uncaught exception: [...]
Uncaught exception:
Traceback (most recent call last):
  File "/home/andrea/dt-env-developer/src/duckietown-challenges-runner/src/duckietown_challenges_runner/runner.py", line 541, in get_cr
    allow_host_network=allow_host_network, use_ipfs=use_ipfs)
  File "/home/andrea/dt-env-developer/src/duckietown-challenges-runner/src/duckietown_challenges_runner/runner.py", line 605, in run_single
    prepare_dir(wd, aws_config, steps2artefacts, use_ipfs=use_ipfs)
  File "/home/andrea/dt-env-developer/src/duckietown-challenges-runner/src/duckietown_challenges_runner/runner.py", line 877, in prepare_dir
    download_artefacts(aws_config, steps2artefacts, previous_steps_dir, use_ipfs=use_ipfs)
  File "/home/andrea/dt-env-developer/src/duckietown-challenges-runner/src/duckietown_challenges_runner/runner.py", line 1211, in download_artefacts
    assert os.path.lexists(fn2)
AssertionError
(hidden)
234003625enickyaido2-LF-real-validationeval0successyes-1:03:48(hidden)
driven_lanedir_consec_median1.16
survival_time_median3


other stats
01_start
details{"1_01attemptDate": {"name": "1_01attemptDate", "output": "2019-05-19", "readable_string": "Attempt date"}, "1_03autolabName": {"name": "1_03autolabName", "output": "ETHZ", "readable_string": "Autolab"}, "1_04operatorName": {"name": "1_04operatorName", "output": "Nicole", "readable_string": "Operator's name"}}
02_autolab_setup
details{"2_04ledLightsOn": {"name": "2_04ledLightsOn", "output": true, "readable_string": "Ceiling led lightbulbs are on with a bright white color"}, "2_01mapConformity": {"name": "2_01mapConformity", "output": true, "readable_string": "Conformity of the map"}, "2_05curtainsClosed": {"name": "2_05curtainsClosed", "output": true, "readable_string": "The curtains are closed"}, "2_02pairedHostnames": {"name": "2_02pairedHostnames", "output": true, "readable_string": "Pairing hostnames to duckiebot-IDs"}, "2_03ceilingLightsOff": {"name": "2_03ceilingLightsOff", "output": true, "readable_string": "Ceiling default neon lights are off"}, "2_multi01_duckiebot_select_autobot01": {"name": "2_multi01_duckiebot_select_autobot01", "output": "not_used", "readable_string": "Selection among available duckiebot"}, "2_multi01_duckiebot_select_autobot02": {"name": "2_multi01_duckiebot_select_autobot02", "output": "not_used", "readable_string": "Selection among available duckiebot"}, "2_multi01_duckiebot_select_autobot03": {"name": "2_multi01_duckiebot_select_autobot03", "output": "not_used", "readable_string": "Selection among available duckiebot"}, "2_multi01_duckiebot_select_autobot04": {"name": "2_multi01_duckiebot_select_autobot04", "output": "not_used", "readable_string": "Selection among available duckiebot"}, "2_multi01_duckiebot_select_autobot05": {"name": "2_multi01_duckiebot_select_autobot05", "output": "not_used", "readable_string": "Selection among available duckiebot"}, "2_multi01_duckiebot_select_autobot06": {"name": "2_multi01_duckiebot_select_autobot06", "output": "not_used", "readable_string": "Selection among available duckiebot"}, "2_multi01_duckiebot_select_autobot07": {"name": "2_multi01_duckiebot_select_autobot07", "output": "active", "readable_string": "Selection among available duckiebot"}, "2_multi01_duckiebot_select_autobot08": {"name": "2_multi01_duckiebot_select_autobot08", "output": "not_used", "readable_string": "Selection among available duckiebot"}}
03_setup_validation
details{"3_11freeMemory": {"name": "3_11freeMemory", "output": true, "readable_string": "All agents have enough free memory"}, "3_01robotsAreOn": {"name": "3_01robotsAreOn", "output": true, "readable_string": "All duckiebots are on"}, "3_09agentsPinged": {"name": "3_09agentsPinged", "output": true, "readable_string": "All agents have been pinged"}, "3_03duckiesOnBots": {"name": "3_03duckiesOnBots", "output": true, "readable_string": "All autobots received yeelow or black duckies (according to active of passive)"}, "3_08attemptNumber": {"name": "3_08attemptNumber", "output": "1", "readable_string": "Attempt number"}, "3_04batteryChecked": {"name": "3_04batteryChecked", "output": true, "readable_string": "All duckiebots have enough battery"}, "3_06agentPlacement": {"name": "3_06agentPlacement", "output": true, "readable_string": "Placement of the duckiebots"}, "3_02aprilTagsPlates": {"name": "3_02aprilTagsPlates", "output": true, "readable_string": "All duckiebots have their april tag backplate, in the right orientation"}, "3_05agentsPluggedIn": {"name": "3_05agentsPluggedIn", "output": true, "readable_string": "All non-movable agents (watchtowers and trafficlights) are plugged in (alimentation and ethernet)"}, "3_10readWriteMemory": {"name": "3_10readWriteMemory", "output": true, "readable_string": "All agents have been tested for read and write on their logging device (USB stick)"}, "3_07lightCheckedReport": {"name": "3_07lightCheckedReport", "output": true, "readable_string": "Report on light conditions"}, "3_hidden_autolab_helper_command": {"name": "3_hidden_autolab_helper_command", "output": "python3 autolab_helper_script.py 3625 aido2-LF-real-validation autobot07 ", "readable_string": "The autolab helper script launch command"}}
04_initialization
details{"4_01duckiebotInterfaceStarted": {"name": "4_01duckiebotInterfaceStarted", "output": true, "readable_string": "All duckiebots have stared their duckiebot interface container"}, "4_02submissionContainerLoaded": {"name": "4_02submissionContainerLoaded", "output": true, "readable_string": "All active duckiebots have loaded the submission container"}, "4_04agentsStartedLoggerContainers": {"name": "4_04agentsStartedLoggerContainers", "output": true, "readable_string": "All agents have loaded and started the logger container"}, "4_03passiveDuckiebotsContainerLoaded": {"name": "4_03passiveDuckiebotsContainerLoaded", "output": false, "readable_string": "All passive duckiebots have loaded the passive behavior container"}}
05_confirmation
details{"5_01operatorIsReady": {"name": "5_01operatorIsReady", "output": true, "readable_string": "The operator is ready to start"}, "5_02serverInitializationError": {"name": "5_02serverInitializationError", "output": "", "readable_string": "The server initialization error message"}}
06_execution
details{"6_06visualCheck": {"name": "6_06visualCheck", "output": "", "readable_string": "Comment from operator on visual check of launching"}, "6_03beginTimeStamp": {"name": "6_03beginTimeStamp", "output": "1558293028.1025417", "readable_string": "Beginning timestamp (useful for attempt evaluation)"}, "6_01launchedAttempt": {"name": "6_01launchedAttempt", "output": true, "readable_string": "The attempt was successfully launched"}, "6_02serverLaunchError": {"name": "6_02serverLaunchError", "output": "", "readable_string": "The server launch error message"}, "6_09watchtowerLoggings": {"name": "6_09watchtowerLoggings", "output": false, "readable_string": "Watchtowers started logging data"}, "6_10serverLoggingCheck": {"name": "6_10serverLoggingCheck", "output": "", "readable_string": "Logging error message from the server"}, "6_07activeDuckiebotLogging": {"name": "6_07activeDuckiebotLogging", "output": false, "readable_string": "Active duckiebots started logging data"}, "6_08passiveDuckiebotLogging": {"name": "6_08passiveDuckiebotLogging", "output": false, "readable_string": "Passive duckiebots started logging data"}, "6_04activeDuckiebotsAreRunningVisualCheck": {"name": "6_04activeDuckiebotsAreRunningVisualCheck", "output": true, "readable_string": "Active duckiebots started moving after launch"}, "6_05passiveDuckiebotsAreRunningVisualCheck": {"name": "6_05passiveDuckiebotsAreRunningVisualCheck", "output": false, "readable_string": "Passive duckiebots started moving after launch"}}
07_monitoring_and_termination
details{"7_05errorReason": {"name": "7_05errorReason", "output": "no_error", "readable_string": "Reason for error"}, "7_01endTimeStamp": {"name": "7_01endTimeStamp", "output": "1558293035.7087147", "readable_string": "end of the experiment timestamp"}, "7_03failureReason": {"name": "7_03failureReason", "output": "no_failure", "readable_string": "Reason for failure"}, "7_06errorComments": {"name": "7_06errorComments", "output": "", "readable_string": "Comment on error reason"}, "7_02attemptSuccess": {"name": "7_02attemptSuccess", "output": "success", "readable_string": "Outcome of the attempt"}, "7_04failureComments": {"name": "7_04failureComments", "output": "", "readable_string": "Comment on failure reason"}, "7_07outcomechecking": {"name": "7_07outcomechecking", "output": false, "readable_string": "Checked that the outcome matched the given reasons"}}
08_retrieving_and_checking_logs
details{"8_01bagsCopied": {"name": "8_01bagsCopied", "output": true, "readable_string": "All bags were successfully copied"}, "8_03bagsClipped": {"name": "8_03bagsClipped", "output": false, "readable_string": "All bags were clipped with the time stamps"}, "8_02bagsVerified": {"name": "8_02bagsVerified", "output": true, "readable_string": "The contents of all bags was verified"}, "8_04agentsCleaned": {"name": "8_04agentsCleaned", "output": true, "readable_string": "All agents were cleaned from bags"}}
09_evaluation
details{"9_02timeTravelled": {"name": "9_02timeTravelled", "output": "3", "readable_string": "How many seconds did the Duckiebot successfully travel"}, "9_01tilesTravelled": {"name": "9_01tilesTravelled", "output": "2", "readable_string": "How many tiles did the Duckiebot successfully travel"}}
10_saving_data
details{"10_02dataIpfsHash": {"name": "10_02dataIpfsHash", "output": "QmSjTt5DBo4UzUhMBHBFtgVvUyAxBtuSboAsnwqrQhrFLD", "readable_string": "IPFS hash of the experiment"}, "10_04cleanupCheck": {"name": "10_04cleanupCheck", "output": false, "readable_string": "The IPFS Docker terminal and the local storage were cleaned"}, "10_05autolabCleaned": {"name": "10_05autolabCleaned", "output": true, "readable_string": "Autolab was cleaned after the end of the experiment"}, "10_01dataUploadCheck": {"name": "10_01dataUploadCheck", "output": false, "readable_string": "The data was uploaded to the IDSC NAS"}, "10_03dataPinningCheck": {"name": "10_03dataPinningCheck", "output": false, "readable_string": "The data is accessible through IPFS"}}